abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
    včera 23:55 | Nová verze

    Heimer je v Qt napsaná desktopová aplikace pro tvorbu myšlenkových map, diagramů a poznámek. Vydána byla verze 3.0.0. Videoukázka verze 1.9.0 na YouTube.

    Ladislav Hagara | Komentářů: 0
    včera 17:11 | Zajímavý projekt

    Na stránkách LINux on MOBile je každou středu publikován týdenní přehled dění kolem Linuxu na mobilních zařízeních. V aktuálním přehledu je zmíněn například nový build 2021/11/21 Arch Linuxu ARM pro PinePhone a PineTab nebo NemoMobile 0.7.

    Ladislav Hagara | Komentářů: 0
    25.11. 21:11 | Komunita

    Mozilla ukončí podporu aplikace Firefox Lockwise pro systémy Android a iOS s účinností od 13. prosince 2021. Aplikaci Firefox Lockwise již nebude možné nainstalovat ani přeinstalovat z obchodu App Store ani Google Play.

    Ladislav Hagara | Komentářů: 7
    25.11. 20:22 | Nová verze

    Byla vydána verze 8.1.0 skriptovacího jazyka PHP používaného zejména k vývoji dynamických webových stránek. Přináší řadu novinek a vylepšení. Vydána byla také příručka pro přechod z předchozích verzí.

    Ladislav Hagara | Komentářů: 0
    25.11. 08:00 | Nová verze

    Endless OS byl vydán ve verzi 4.0.0. Přehled novinek v poznámkách k vydání. Nejnovější Endless OS vychází z Debianu Bullseye. Zdůrazněna je dlouhodobá podpora.

    Ladislav Hagara | Komentářů: 0
    24.11. 22:11 | Zajímavý projekt

    Byly vyhlášeny vítězné aplikace letošní soutěže Společně otevíráme data Nadace OSF pro neziskové aplikace postavené nad otevřenými daty v Česku. V kategorii Městská data zvítězila aplikace PragueDash. Kategorii Klima a životní prostředí ovládla aplikace Envidata. Kategorii Vzdělávání vyhrál interaktivní článek Od moru ke covidu. Nejlepší aplikací v kategorii Zdraví se stala aplikace COVID očkování.

    Ladislav Hagara | Komentářů: 8
    24.11. 22:00 | Nová verze

    Český LibreOffice tým vydal překlad příručky LibreOffice Draw 7.1. Tato kniha se zabývá hlavními funkcemi programu Draw, vektorové grafické komponenty systému LibreOffice. Pomocí Draw lze vytvářet širokou škálu grafických obrázků. Příručka je ke stažení na stránce dokumentace. Tým nyní pracuje na překladu příručky Base.

    Zdeněk Crhonek | Komentářů: 0
    24.11. 16:22 | Nová verze

    Byla vydána nová stabilní verze 3.15.0, tj. první z nové řady 3.15, minimalistické linuxové distribuce zaměřené na bezpečnost Alpine Linux (Wikipedie) postavené na standardní knihovně jazyka C musl libc a BusyBoxu.

    Ladislav Hagara | Komentářů: 0
    24.11. 14:11 | IT novinky

    Vývojových desek Arduino UNO bylo prodáno již více než 10 miliónů. Při této příležitosti bylo představeno Arduino UNO Mini Limited Edition o rozměrech 34,2 × 26,7 × 8 mm. Předobjednat jej lze za 40 eur.

    Ladislav Hagara | Komentářů: 7
    24.11. 08:00 | Komunita

    MojeFedora.cz informuje, že Amazon Linux bude postavený na Fedoře. Vycházet by měl každé dva roky a podporovaný by měl být po dobu pěti let. Představena byla ukázka Amazon Linuxu 2022 (AL2022).

    Ladislav Hagara | Komentářů: 16
    Který formát počítače (form factor) preferujete?
     (15%)
     (33%)
     (7%)
     (39%)
     (6%)
    Celkem 399 hlasů
     Komentářů: 46, poslední 24.11. 15:31
    Rozcestník



    Dotaz: Kompilace qt-x11-2.3.2.tar.gz

    24.11.2005 15:44 Michal S
    Kompilace qt-x11-2.3.2.tar.gz
    Přečteno: 105×
    Dobrý den,mám Mandrake 10.0 (prostředí GNOME 2.4)a nedaří se mi do nich úspěšně kompilovat qt-x11-2.3.2.tar.gz.Poslední řádky po kompilaci jsou následující:

    In file included from kernel/qt_x11.h:76, from kernel/qpsprinter.cpp:97: /usr/X11R6/include/X11/Xft/Xft.h:59: error: syntax error before `;' token /usr/X11R6/include/X11/Xft/Xft.h:93: error: 'FT_UInt' is used as a type, but is not defined as a type. /usr/X11R6/include/X11/Xft/Xft.h:100: error: 'FT_UInt' is used as a type, but is not defined as a type. /usr/X11R6/include/X11/Xft/Xft.h:197: error: syntax error before `*' token /usr/X11R6/include/X11/Xft/Xft.h:302: error: syntax error before `*' token /usr/X11R6/include/X11/Xft/Xft.h:361: error: syntax error before `*' token /usr/X11R6/include/X11/Xft/Xft.h:400: error: syntax error before `*' token /usr/X11R6/include/X11/Xft/Xft.h:406: error: syntax error before `*' token /usr/X11R6/include/X11/Xft/Xft.h:415: error: type specifier omitted for parameter `FT_UInt' /usr/X11R6/include/X11/Xft/Xft.h:415: error: syntax error before `,' token /usr/X11R6/include/X11/Xft/Xft.h:425: error: syntax error before `*' token /usr/X11R6/include/X11/Xft/Xft.h:468: error: syntax error before `*' token make[2]: *** [kernel/qpsprinter.o] Error 1 make[2]: Leaving directory `/usr/local/qt/src' make[1]: *** [sub-src] Error 2 make[1]: Leaving directory `/usr/local/qt' make: *** [init] Error 2

    Jak tyto chyby odstraním?

    Děkuji

    Odpovědi

    Luboš Doležel (Doli) avatar 24.11.2005 18:11 Luboš Doležel (Doli) | skóre: 98 | blog: Doliho blog | Kladensko
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    Proč se snažíte kompilovat něco tak starého?
    26.11.2005 11:30 MichalS
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    Tak,jsem se po vaší radě,že je aplikace příliš stará od její kompilace upustil.Důvodem proč jsem chtěl kompilovat něco takového bylo to,že jsem chtěl zprovoznit program CDCAT.

    Při instalaci balíčku CDCAT totiž dojde k následující chybě: Některé požadované balíčky nebylo možné nainstalovat: cdcat-0.96-2.i586 (z důvodu nesplněného qt) souhlasíte?

    Můžete mi prosím poradit jakou verzi qt bych měl do svého PC nainstalovat,pokud někdo víte o odkazu na verzi qt ve formě .rpm se kterou bude cdcat-0.96-2.i586 fungovat,tak ho zde uveďte předem moc díky.
    26.11.2005 11:40 zabza | skóre: 52 | blog: Nad_sklenkou_cerveneho
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    Použijte Qt, které máte přímo v distribuci.
    26.11.2005 22:27 MichalS
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    Potřeboval bych znát přesný název balíčku,který mám nainstalovat,poněvadž jsem nainstaloval všechny balíčky ve kterých se vyskytuje název qt a výsledek byl:

    Některé požadované balíčky nebylo možné nainstalovat: cdcat-0.96-2.i586 (z důvodu nesplněného qt) souhlasíte?

    Díky
    Luboš Doležel (Doli) avatar 26.11.2005 23:49 Luboš Doležel (Doli) | skóre: 98 | blog: Doliho blog | Kladensko
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    urpmi qt
    27.11.2005 11:52 MichalS
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    Výseldek po zadání urpmi qt je :

    [root@Michaluv michal]# urpmi qt Následující balíčky obsahují: qt: libdbus-qt-1_0 libqt3 libqt3-devel libqt3-mysql libqt3-odbc libqt3-psql libqtc1 libqtc1-devel libqtsharp0 libqtsharp0-devel libunixODBC2-qt qt3-common qt3-example qtc qtsharp unixODBC-gui-qt

    Který z těchto balíčků mám nainstalovat,aby už to nepsalo:

    Některé požadované balíčky nebylo možné nainstalovat: cdcat-0.96-2.i586 (z důvodu nesplněného qt) souhlasíte?

    Díky
    Luboš Doležel (Doli) avatar 27.11.2005 13:53 Luboš Doležel (Doli) | skóre: 98 | blog: Doliho blog | Kladensko
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    Asi libqt3.
    27.11.2005 14:22 MichalS
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    Tak při instalaci cdcat-0.96-2.i586.rpm mi to pořád hlásí :

    Některé požadované balíčky nebylo možné nainstalovat: cdcat-0.96-2.i586 (z důvodu nesplněného qt) souhlasíte?

    A to jsem nainstaloval všechny balíčky s názvem obsahujícím qt,které jsou v distibuci Mandrake 10.0.,jmenovitě tyto :

    libdbus-qt-1_0

    libqt3

    libqt3-devel

    libqt3-mysql

    libqt3-odbc

    libqt3-psql

    libqtc1

    libqtc1-devel

    libqtsharp0

    libqtsharp0-devel

    libunixODBC2-qt

    qt3-common

    qt3-example

    qtc

    qtsharp

    unixODBC-gui-qt

    Co mám tedy dalšího nainstalovat,aby už to konečně fungovalo?

    Děkuji
    Luboš Doležel (Doli) avatar 27.11.2005 14:34 Luboš Doležel (Doli) | skóre: 98 | blog: Doliho blog | Kladensko
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    Tak dejte rpm -U --nodeps cdcat-0.96-2.i586.rpm a uvidíte, jestli ten software pak pojede.
    27.11.2005 14:58 MichalS
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    Děkuji za pomoc,po zadání příkazu:

    rpm -U --nodeps cdcat-0.96-2.i586.rpm

    to bylo vyřešeno

    Můžete zde ještě prosím stručně uvést čeho bylo tímto příkazem docíleno?
    27.11.2005 15:05 Zdeněk Burda | skóre: 61 | blog: Zdendův blog | Praha
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    man rpm
    pak zmáčkni / a napiš nodeps, na další nálezy skočíš pomocí písmenka n
    -- Nezdar není hanbou, hanbou je strach z pokusu.
    Luboš Doležel (Doli) avatar 27.11.2005 15:11 Luboš Doležel (Doli) | skóre: 98 | blog: Doliho blog | Kladensko
    Rozbalit Rozbalit vše Re: Kompilace qt-x11-2.3.2.tar.gz
    Tím bylo docíleno toho, že se nevyžadují závislosti tohoto balíčku - asi totiž bude pro jinou distribuci než máte (chce qt, ale vaše distribuce má libqt3).

    Potom vždy nastává otázka, zda daný software funguje (závislosti se nedají jen tak ignorovat - tímhle přesunete správu závislostí na svá bedra: pokud nenainstalujete to, co to potřebuje, tak se ten software prostě nespustí).

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.